/**
 * 所有禁用标志集合
*/
module.exports = [
  /** 一、申请入党 */
  {
    tabPaneLabel: '一、申请入党',
    tabPaneName: 'APPLY',
    tabPaneHeadLeftTitle: '一',
    tabPaneHeadRight: '申请入党',
    tabpaneStepList: [
      // 1 入党申请书
      {
        stepItemLeft: 1,
        elcolKey: 'FIRST',
        elcolStyle: '',
        stepItemRightTitle: '入党申请书',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '递交入党申请书时间：',
            stepItemColProp: 'submitAddPartyPageTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '入党申请书：',
            stepItemColProp: 'addPartyPageFile',
            stepItemColPdfFileName: '党建管理-录入数据-1-入党申请书'
          }
        ]
      },
      // 2 党组织派人与入党申请人谈话的记录
      {
        stepItemLeft: 2,
        elcolKey: 'SECOND',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '党组织派人与入党申请人谈话的记录',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '组织派人谈话时间：',
            stepItemColProp: 'partyArrangeTalkTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '谈话记录：',
            stepItemColProp: 'talkPageFile',
            stepItemColPdfFileName: '党建管理-录入数据-2-谈话记录'
          }
        ]
      },
      // 3 身份证或户口本复印件
      {
        stepItemLeft: 3,
        elcolKey: 'THIRD',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '身份证或户口本复印件',
        stepItemTailStyle: 'height: 184px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 24,
            stepItemColStyle: '',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '身份证或户口本：',
            stepItemColProp: 'cardOrRegisterBookFile',
            stepItemColPdfFileName: '党建管理-录入数据-3-身份证或户口本'
          }
        ]
      }
    ]
  },
  /** 二、入党积极分子的确定和考察 */
  {
    tabPaneLabel: '二、入党积极分子的确定和考察',
    tabPaneName: 'POSITIVE',
    tabPaneHeadLeftTitle: '二',
    tabPaneHeadRight: '入党积极分子的确定和培养',
    tabpaneStepList: [
      // 4 党员（群团组织）推荐入党积极分子登记表
      {
        stepItemLeft: 4,
        elcolKey: 'FOURTH',
        elcolStyle: '',
        stepItemRightTitle: '党员（群团组织）推荐入党积极分子登记表',
        stepItemTailStyle: 'height: 104px; margin-top: -56px;',
        stepItemRightList: [
          {
            stepItemColSpan: 24,
            stepItemColType: 'CONTENT',
            stepItemColLable: '推荐人：',
            stepItemColProp: 'referrer'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '推荐入党积极分子时间：',
            stepItemColProp: 'referreTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '推荐入党积极分子登记表：',
            stepItemColProp: 'referrePageFile',
            stepItemColPdfFileName: '党建管理-详情-4-推荐入党积极分子登记表'
          }
        ]
      },
      // 5 确定为入党积极分子的支委会会议记录、备案请示和批复
      {
        stepItemLeft: 5,
        elcolKey: 'FIFTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '确定为入党积极分子的支委会会议记录、备案请示和批复',
        stepItemTailStyle: 'height: 218px; margin-top: -170px;',
        stepItemRightList: [
          {
            stepItemColSpan: 24,
            stepItemColStyle: '',
            stepItemColType: 'CONTENT',
            stepItemColLable: '会议结果：',
            stepItemColProp: 'meetingResult',
            stepItemColPropType: 'RADIORESULT'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '支委会会议时间：',
            stepItemColProp: 'branchPartyMeetingTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '确定为入党积极分子的支委会会议记录：',
            stepItemColProp: 'branchPartyMeetingFile',
            stepItemColPdfFileName: '党建管理-详情-5-确定为入党积极分子的支委会会议记录'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '递交备案请示时间：',
            stepItemColProp: 'submitRecordRequestTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '确定为入党积极分子的备案请示：',
            stepItemColProp: 'submitRecordRequestFile',
            stepItemColPdfFileName: '党建管理-详情-5-确定为入党积极分子的备案请示'
          },
          {
            stepItemColSpan: 24,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '批复结果：',
            stepItemColProp: 'replyResult',
            stepItemColPropType: 'RADIORESULT'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '获得批复的时间：',
            stepItemColProp: 'replyTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '确定为入党积极分子的批复：',
            stepItemColProp: 'replyFile',
            stepItemColPdfFileName: '党建管理-详情-5-确定为入党积极分子的批复'
          }
        ]
      },
      // 6 《入党积极分子、发展对象培养教育考察登记表》
      {
        stepItemLeft: 6,
        elcolKey: 'SIXTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '《入党积极分子、发展对象培养教育考察登记表》',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '确定为积极分子的时间：',
            stepItemColProp: 'confirmActiveMemberTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '培养教育考察登记表：',
            stepItemColProp: 'cultivateEducationRecordFile',
            stepItemColPdfFileName: '党建管理-详情-6-培养教育考察登记表'
          }
        ]
      },
      // 7 入党积极分子思想汇报与参加短期集中培训的结业证书
      {
        stepItemLeft: 7,
        elcolKey: 'SEVENTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '入党积极分子思想汇报与参加短期集中培训的结业证书',
        stepItemTailStyle: '',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '结业时间：',
            stepItemColProp: 'courseCompletionTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '结业证书：',
            stepItemColProp: 'courseCompletionFile',
            stepItemColPdfFileName: '党建管理-详情-7-结业证书'
          },
          {
            stepItemColSpan: 24,
            stepItemColType: 'THOUGHTREPORTRECORD',
            stepItemColLable: '思想汇报',
            stepItemColProp: 'thoughtReportRecord',
            stepItemColPdfFileName: '党建管理-详情-7-思想汇报-'
          }
        ]
      }
    ]
  },
  /** 三、发展对象的确定和考察 */
  {
    tabPaneLabel: '三、发展对象的确定和考察',
    tabPaneName: 'DEVELOP',
    tabPaneHeadLeftTitle: '三',
    tabPaneHeadRight: '发展对象的确定和考察',
    tabpaneStepList: [
      // 8 讨论确定发展对象前听取意见记录
      {
        stepItemLeft: 8,
        elcolKey: 'EIGHTH',
        elcolStyle: '',
        stepItemRightTitle: '讨论确定发展对象前听取意见记录',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '听取意见时间：',
            stepItemColProp: 'listenToTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '听取意见记录：',
            stepItemColProp: 'listenToFile',
            stepItemColPdfFileName: '党建管理-详情-8-听取意见记录'
          }
        ]
      },
      // 9 确定为发展对象的支委会会议记录
      {
        stepItemLeft: 9,
        elcolKey: 'NINTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '确定为发展对象的支委会会议记录',
        stepItemTailStyle: 'height: 104px; margin-top: -56px;',
        stepItemRightList: [
          {
            stepItemColSpan: 24,
            stepItemColType: 'CONTENT',
            stepItemColLable: '支委会会议结果：',
            stepItemColProp: 'branchPartyMeetingResult1',
            stepItemColPropType: 'RADIORESULT'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '支委会会议时间：',
            stepItemColProp: 'branchPartyMeetingTime1',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '支委会会议记录：',
            stepItemColProp: 'branchPartyMeetingFile1',
            stepItemColPdfFileName: '党建管理-详情-9-支委会会议记录'
          }
        ]
      },
      // 10 确定为发展对象相关公示材料及备案请示、报告、批复
      {
        stepItemLeft: 10,
        elcolKey: 'TENTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '确定为发展对象相关公示材料及备案请示、报告、批复',
        stepItemTailStyle: 'height: 180px; margin-top: -132px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '公示时间：',
            stepItemColProp: 'publicTimeStr'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '公示材料：',
            stepItemColProp: 'publicMaterialsFile',
            stepItemColPdfFileName: '党建管理-详情-10-公示材料'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '备案请示时间：',
            stepItemColProp: 'recordsRequestTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '备案请示：',
            stepItemColProp: 'recordsRequestFile',
            stepItemColPdfFileName: '党建管理-详情-10-备案请示材料'
          },
          {
            stepItemColSpan: 24,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '备案批复结果：',
            stepItemColProp: 'recordsReplyResult',
            stepItemColPropType: 'RADIORESULT'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '备案批复时间：',
            stepItemColProp: 'recordsReplyTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '备案批复：',
            stepItemColProp: 'recordsReplyFile',
            stepItemColPdfFileName: '党建管理-详情-10-备案批复材料'
          }
        ]
      },
      // 11 综合性政审报告和相关材料
      {
        stepItemLeft: 11,
        elcolKey: 'ELEVENTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '综合性政审报告和相关材料',
        stepItemTailStyle: 'height: 104px; margin-top: -56px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '综合性政审时间：',
            stepItemColProp: 'syntheticalPoliticalTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '综合性政审报告：',
            stepItemColProp: 'syntheticalPoliticalReportFile',
            stepItemColPdfFileName: '党建管理-详情-11-综合性政审报告'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '政审人：',
            stepItemColProp: 'politicalChecker',
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '相关材料：',
            stepItemColProp: 'politicalCheckFile',
            stepItemColPdfFileName: '党建管理-详情-11-政审相关材料'
          }
        ]
      },
      // 12 发展对象参加短期集中培训的结业证书
      {
        stepItemLeft: 12,
        elcolKey: 'TWELFTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '发展对象参加短期集中培训的结业证书',
        stepItemTailStyle: 'height: 110px; margin-top: -64px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '结业时间：',
            stepItemColProp: 'courseCompletionTime1',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '结业证书：',
            stepItemColProp: 'courseCompletionFile1',
            stepItemColPdfFileName: '党建管理-详情-12-结业证书'
          }
        ]
      },
    ]
  },
  /** 四、发展党员的预审 */
  {
    tabPaneLabel: '四、发展党员的预审',
    tabPaneName: 'PRETRIAL',
    tabPaneHeadLeftTitle: '四',
    tabPaneHeadRight: '发展党员的预审',
    tabpaneStepList: [
      // 13 支委会拟接收预备党员审查会议记录和上报的预审请示
      {
        stepItemLeft: 13,
        elcolKey: 'THIRTEENTH',
        elcolStyle: '',
        stepItemRightTitle: '支委会拟接收预备党员审查会议记录和上报的预审请示',
        stepItemTailStyle: 'height: 142px; margin-top: -94px;',
        stepItemRightList: [
          {
            stepItemColSpan: 24,
            stepItemColType: 'CONTENT',
            stepItemColLable: '审查结果：',
            stepItemColProp: 'checkResult',
            stepItemColPropType: 'RADIORESULT'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '审查会议时间：',
            stepItemColProp: 'checkMeetingTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '审查会议记录：',
            stepItemColProp: 'checkMeetingFile',
            stepItemColPdfFileName: '党建管理-详情-13-审查会议记录'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '上报预审请示时间：',
            stepItemColProp: 'reportRequestTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '预审请示：',
            stepItemColProp: 'reportRequestFile',
            stepItemColPdfFileName: '党建管理-详情-13-预审请示材料'
          }
        ]
      },
      // 14 基层党委预审会议记录及预审批复
      {
        stepItemLeft: 14,
        elcolKey: 'FOURTEENTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '基层党委预审会议记录及预审批复',
        stepItemTailStyle: 'height: 104px; margin-top: -56px;',
        stepItemRightList: [
          {
            stepItemColSpan: 24,
            stepItemColType: 'CONTENT',
            stepItemColLable: '预审批复结果：',
            stepItemColProp: 'readyCheckReplyResult',
            stepItemColPropType: 'RADIORESULT'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '基层党委预审会议时间：',
            stepItemColProp: 'basicReadyCheckMeetingTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '基层党委预审会议记录：',
            stepItemColProp: 'basicReadyCheckMeetingFile',
            stepItemColPdfFileName: '党建管理-详情-14-基层党委预审会议记录'
          }
        ]
      },
      // 15 发展党员工作有关工作部门征求意见情况
      {
        stepItemLeft: 15,
        elcolKey: 'FIFTEENTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '发展党员工作有关工作部门征求意见情况',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '征求意见时间：',
            stepItemColProp: 'consultationTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '征求意见情况的材料：',
            stepItemColProp: 'consultationConditionFile',
            stepItemColPdfFileName: '党建管理-详情-15-征求意见情况的材料'
          }
        ]
      },
      // 16 《中国共产党入党志愿书》
      {
        stepItemLeft: 16,
        elcolKey: 'SIXTEENTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '《中国共产党入党志愿书》',
        stepItemTailStyle: 'height: 246px; margin-top: -216px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '递交志愿书时间：',
            stepItemColProp: 'submitVolunteerBookTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '《中国共产党入党志愿书》：',
            stepItemColProp: 'submitVolunteerBookFile',
            stepItemColPdfFileName: '党建管理-详情-16-《中国共产党入党志愿书》'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '支委会接收预备党员的时间：',
            stepItemColProp: 'branchPartyAcceptReadyMemberTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '关于预备党员基层党委审批意见的时间：',
            stepItemColProp: 'aboutReadyMemberCheckIdeaTime',
            stepItemColPropType: 'DATEPICKER',
            stepItemColAlignment: 'right'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '预备期：',
            stepItemColProp: 'readyDeadlineStr'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '支委会转正的时间：',
            stepItemColProp: 'branchPartyConfirmTime',
            stepItemColPropType: 'DATEPICKER',
            stepItemColAlignment: 'right'
          },
          {
            stepItemColSpan: 24,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '转正基层党委审批意见的时间：',
            stepItemColProp: 'confirmBasicPartyCheckIdeaTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '是否延期转为正式党员：',
            stepItemColProp: 'isPostponeConfirmMember',
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '延期转正基层党委审批意见的时间：',
            stepItemColProp: 'postponeConfirmMemberParthCheckIdeaTime',
            stepItemColPropType: 'DATEPICKER',
            stepItemColAlignment: 'right'
          }
        ]
      }
    ]
  },
  /** 五、预备党员的接收 */
  {
    tabPaneLabel: '五、预备党员的接收',
    tabPaneName: 'TAKEOVER',
    tabPaneHeadLeftTitle: '五',
    tabPaneHeadRight: '预备党员的接收',
    tabpaneStepList: [
      // 17 支部大会接收为中共预备党员的会议记录和票决结果
      {
        stepItemLeft: 17,
        elcolKey: 'SEVENTEENTH',
        elcolStyle: '',
        stepItemRightTitle: '支部大会接收为中共预备党员的会议记录和票决结果',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '支部大会的会议时间：',
            stepItemColProp: 'branchPartyBigMeetingTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '支部大会的会议记录：',
            stepItemColProp: 'branchPartyBigMeetingRecordFile',
            stepItemColPdfFileName: '党建管理-详情-17-支部大会的会议记录'
          }
        ]
      },
      // 18 接收为中共预备党员审批请示
      {
        stepItemLeft: 18,
        elcolKey: 'EIGHTEENTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '接收为中共预备党员审批请示',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '审批请示时间：',
            stepItemColProp: 'checkRequestTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '审批请示材料：',
            stepItemColProp: 'checkRequestFile',
            stepItemColPdfFileName: '党建管理-详情-18-审批请示材料'
          }
        ]
      },
      // 19 基层党委审批会议记录、会议纪要和批复
      {
        stepItemLeft: 19,
        elcolKey: 'NINETEENTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '基层党委审批会议记录、会议纪要和批复',
        stepItemTailStyle: 'height: 142px; margin-top: -94px;',
        stepItemRightList: [
          {
            stepItemColSpan: 24,
            stepItemColType: 'CONTENT',
            stepItemColLable: '批复结果：',
            stepItemColProp: 'replyResult1',
            stepItemColPropType: 'RADIORESULT'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '基层党委审批会议时间：',
            stepItemColProp: 'basicPartyCheckMeetingTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '基层党委审批会议记录、会议纪要：',
            stepItemColProp: 'basicPartyCheckMeetingRecordFile',
            stepItemColPdfFileName: '党建管理-详情-19-基层党委审批会议记录、会议纪要'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '批复时间：',
            stepItemColProp: 'replyTime1',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '批复材料：',
            stepItemColProp: 'replyMaterialsFile1',
            stepItemColPdfFileName: '党建管理-详情-19-批复材料'
          }
        ]
      },
      // 20 向上级党委组织部门的备案报告和批复
      {
        stepItemLeft: 20,
        elcolKey: 'TWENTY',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '向上级党委组织部门的备案报告和批复',
        stepItemTailStyle: 'height: 104px; margin-top: -64px;',
        stepItemRightList: [
          {
            stepItemColSpan: 24,
            stepItemColType: 'CONTENT',
            stepItemColLable: '批复结果：',
            stepItemColProp: 'replyResult2',
            stepItemColPropType: 'RADIORESULT'
          }
        ]
      }
    ]
  },
  /** 六、预备党员的考察和转正 */
  {
    tabPaneLabel: '六、预备党员的考察和转正',
    tabPaneName: 'TURNPOSITIVE',
    tabPaneHeadLeftTitle: '六',
    tabPaneHeadRight: '预备党员的考察和转正',
    tabpaneStepList: [
      // 21 《预备党员培养考察教育登记表》
      {
        stepItemLeft: 21,
        elcolKey: 'TWENTY-FIRST',
        elcolStyle: '',
        stepItemRightTitle: '《预备党员培养考察教育登记表》',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '预备期：',
            stepItemColProp: 'readyDeadline1Str'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '《预备党员培养考察教育登记表》：',
            stepItemColProp: 'readyMemberTeachRecordFile',
            stepItemColPdfFileName: '党建管理-详情-21-《预备党员培养考察教育登记表》'
          }
        ]
      },
      // 22 转正申请书
      {
        stepItemLeft: 22,
        elcolKey: 'TWENTY-SECOND',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '转正申请书',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '转正申请书递交时间：',
            stepItemColProp: 'submitConfirmBookTime',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '转正申请书：',
            stepItemColProp: 'submitConfirmBookFile',
            stepItemColPdfFileName: '党建管理-详情-22-转正申请书'
          }
        ]
      },
      // 23 预备期思想汇报
      {
        stepItemLeft: 23,
        elcolKey: 'TWENTY-THIRD',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '预备期思想汇报',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 24,
            stepItemColType: 'PRELIMINARYREPORT',
            stepItemColLable: '与第7步的思想汇报合并'
          }
        ]
      },
      // 24 预备党员转正征求党内外群众意见谈话记录
      {
        stepItemLeft: 24,
        elcolKey: 'TWENTY-FOURTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '预备党员转正征求党内外群众意见谈话记录',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '征求意见时间：',
            stepItemColProp: 'consultationTime1',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '征求意见的谈话记录：',
            stepItemColProp: 'consultationTalkRecordFile',
            stepItemColPdfFileName: '党建管理-详情-24-征求意见的谈话记录'
          }
        ]
      },
      // 25 转为正式党员的支部大会会议记录、票决结果及公示情况
      {
        stepItemLeft: 25,
        elcolKey: 'TWENTY-FIFTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '转为正式党员的支部大会会议记录、票决结果及公示情况',
        stepItemTailStyle: 'height: 104px; margin-top: -56px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '支部大会的会议时间：',
            stepItemColProp: 'branchPartyBigMeetingTime1',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '支部大会的会议记录：',
            stepItemColProp: 'branchPartyBigMeetingRecordFile1',
            stepItemColPdfFileName: '党建管理-详情-25-支部大会的会议记录'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '公示时间：',
            stepItemColProp: 'publicTime1Str'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '公示材料：',
            stepItemColProp: 'publicMaterialsFile1',
            stepItemColPdfFileName: '党建管理-详情-25-公示材料'
          }
        ]
      },
      // 26 转为中共正式党员审批请示
      {
        stepItemLeft: 26,
        elcolKey: 'TWENTY-SIXTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '转为中共正式党员审批请示',
        stepItemTailStyle: 'height: 64px; margin-top: -18px;',
        stepItemRightList: [
          {
            stepItemColSpan: 12,
            stepItemColType: 'CONTENT',
            stepItemColLable: '审批请示递交时间：',
            stepItemColProp: 'checkRequestTime1',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '审批请示材料：',
            stepItemColProp: 'checkRequestMaterialsFile1',
            stepItemColPdfFileName: '党建管理-详情-26-审批请示材料'
          }
        ]
      },
      // 27 基层党委审批会议记录、会议纪要和批复 
      {
        stepItemLeft: 27,
        elcolKey: 'TWENTY-SEVENTH',
        elcolStyle: 'margin-top: 46px;',
        stepItemRightTitle: '基层党委审批会议记录、会议纪要和批复',
        stepItemTailStyle: 'height: 180px; margin-top: -140px;',
        stepItemRightList: [
          {
            stepItemColSpan: 24,
            stepItemColType: 'CONTENT',
            stepItemColLable: '批复结果：',
            stepItemColProp: 'replyResult3',
            stepItemColPropType: 'RADIORESULT'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '基层党委审批会议时间：',
            stepItemColProp: 'basicPartyCheckMeetingTime1',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '基层党委审批会议记录、会议纪要：',
            stepItemColProp: 'basicPartyCheckMeetingRecordFile1',
            stepItemColPdfFileName: '党建管理-详情-27-基层党委审批会议记录、会议纪要'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'CONTENT',
            stepItemColLable: '批复时间：',
            stepItemColProp: 'replyTime2',
            stepItemColPropType: 'DATEPICKER'
          },
          {
            stepItemColSpan: 12,
            stepItemColStyle: 'margin-top: 16px;',
            stepItemColType: 'VIEWPDFFILE',
            stepItemColLable: '批复材料：',
            stepItemColProp: 'replyMaterialsFile',
            stepItemColPdfFileName: '党建管理-详情-27-批复材料'
          }
        ]
      }
    ]
  }
];
